package com.willalp.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 岗位配置对象 hs_post_config
 *
 * @author willalp
 * @date 2022-09-21
 */

@TableName("hs_post_config")
public class HsPostConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 岗位编号
     */
    @Excel(name = "岗位编号")
    private String postNo;

    /**
     * 岗位名称
     */
    @Excel(name = "岗位名称")
    private String postName;

    /**
     * 岗位级别
     */
    @Excel(name = "岗位级别")
    private String postLevel;

    /**
     * 岗位用户组（1XX，2XX，3XX，4XX）
     */
    @Excel(name = "岗位用户组", readConverterExp = "1=XX，2XX，3XX，4XX")
    private String postUserG;
    private String orgCode;

    /**
     * 是否删除（0.未删除；1.已删除）
     */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setPostNo(String postNo) {
        this.postNo = postNo;
    }

    public String getPostNo() {
        return postNo;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public String getPostName() {
        return postName;
    }

    public void setPostLevel(String postLevel) {
        this.postLevel = postLevel;
    }

    public String getPostLevel() {
        return postLevel;
    }

    public void setPostUserG(String postUserG) {
        this.postUserG = postUserG;
    }

    public String getPostUserG() {
        return postUserG;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("postNo", getPostNo())
                .append("postName", getPostName())
                .append("postLevel", getPostLevel())
                .append("postUserG", getPostUserG())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
}
